curl --request GET \
--url https://api.home.datanumia.com/api/v1/sites/{site-id}/usage-breakdownsimport requests
url = "https://api.home.datanumia.com/api/v1/sites/{site-id}/usage-breakdowns"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.home.datanumia.com/api/v1/sites/{site-id}/usage-breakdowns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/v1/sites/{site-id}/usage-breakdowns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/v1/sites/{site-id}/usage-breakdowns"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/v1/sites/{site-id}/usage-breakdowns")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/v1/sites/{site-id}/usage-breakdowns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"beginMonth": "<string>",
"endMonth": "<string>",
"units": {
"cost": "<string>",
"energyMeter": "<string>"
},
"totalCost": 123,
"totalEnergy": 123,
"connectedHeatingTotalCost": 123,
"connectedHeatingTotalEnergy": 123,
"algorithm": "DISAGGREGATION",
"usageBreakdowns": [
{
"usage": "US_HEATING",
"cost": 123,
"percent": 123,
"energy": 123,
"units": {
"cost": "<string>",
"energyMeter": "<string>"
},
"fiability": {
"isReliable": true,
"equipmentsFiability": {}
},
"connectedPartCost": 123,
"connectedPartEnergy": 123,
"partialAlwaysOn": {
"cost": 123,
"percent": 123,
"energy": 123
}
}
],
"generalProfilComplete": true,
"seasonalUsageBreakdown": {
"winter": {
"beginMonth": "<string>",
"endMonth": "<string>",
"units": {
"cost": "<string>",
"energyMeter": "<string>"
},
"totalCost": 123,
"totalEnergy": 123,
"connectedHeatingTotalCost": 123,
"connectedHeatingTotalEnergy": 123,
"algorithm": "DISAGGREGATION",
"usageBreakdowns": [
{
"usage": "US_HEATING",
"cost": 123,
"percent": 123,
"energy": 123,
"units": {
"cost": "<string>",
"energyMeter": "<string>"
},
"fiability": {
"isReliable": true,
"equipmentsFiability": {}
},
"connectedPartCost": 123,
"connectedPartEnergy": 123,
"partialAlwaysOn": {
"cost": 123,
"percent": 123,
"energy": 123
}
}
],
"generalProfilComplete": true
},
"summer": {
"beginMonth": "<string>",
"endMonth": "<string>",
"units": {
"cost": "<string>",
"energyMeter": "<string>"
},
"totalCost": 123,
"totalEnergy": 123,
"connectedHeatingTotalCost": 123,
"connectedHeatingTotalEnergy": 123,
"algorithm": "DISAGGREGATION",
"usageBreakdowns": [
{
"usage": "US_HEATING",
"cost": 123,
"percent": 123,
"energy": 123,
"units": {
"cost": "<string>",
"energyMeter": "<string>"
},
"fiability": {
"isReliable": true,
"equipmentsFiability": {}
},
"connectedPartCost": 123,
"connectedPartEnergy": 123,
"partialAlwaysOn": {
"cost": 123,
"percent": 123,
"energy": 123
}
}
],
"generalProfilComplete": true
}
}
}This response has no body data.Disaggregation
The service returns the annual energy disaggregation of a given site.
curl --request GET \
--url https://api.home.datanumia.com/api/v1/sites/{site-id}/usage-breakdownsimport requests
url = "https://api.home.datanumia.com/api/v1/sites/{site-id}/usage-breakdowns"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.home.datanumia.com/api/v1/sites/{site-id}/usage-breakdowns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/v1/sites/{site-id}/usage-breakdowns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/v1/sites/{site-id}/usage-breakdowns"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/v1/sites/{site-id}/usage-breakdowns")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/v1/sites/{site-id}/usage-breakdowns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"beginMonth": "<string>",
"endMonth": "<string>",
"units": {
"cost": "<string>",
"energyMeter": "<string>"
},
"totalCost": 123,
"totalEnergy": 123,
"connectedHeatingTotalCost": 123,
"connectedHeatingTotalEnergy": 123,
"algorithm": "DISAGGREGATION",
"usageBreakdowns": [
{
"usage": "US_HEATING",
"cost": 123,
"percent": 123,
"energy": 123,
"units": {
"cost": "<string>",
"energyMeter": "<string>"
},
"fiability": {
"isReliable": true,
"equipmentsFiability": {}
},
"connectedPartCost": 123,
"connectedPartEnergy": 123,
"partialAlwaysOn": {
"cost": 123,
"percent": 123,
"energy": 123
}
}
],
"generalProfilComplete": true,
"seasonalUsageBreakdown": {
"winter": {
"beginMonth": "<string>",
"endMonth": "<string>",
"units": {
"cost": "<string>",
"energyMeter": "<string>"
},
"totalCost": 123,
"totalEnergy": 123,
"connectedHeatingTotalCost": 123,
"connectedHeatingTotalEnergy": 123,
"algorithm": "DISAGGREGATION",
"usageBreakdowns": [
{
"usage": "US_HEATING",
"cost": 123,
"percent": 123,
"energy": 123,
"units": {
"cost": "<string>",
"energyMeter": "<string>"
},
"fiability": {
"isReliable": true,
"equipmentsFiability": {}
},
"connectedPartCost": 123,
"connectedPartEnergy": 123,
"partialAlwaysOn": {
"cost": 123,
"percent": 123,
"energy": 123
}
}
],
"generalProfilComplete": true
},
"summer": {
"beginMonth": "<string>",
"endMonth": "<string>",
"units": {
"cost": "<string>",
"energyMeter": "<string>"
},
"totalCost": 123,
"totalEnergy": 123,
"connectedHeatingTotalCost": 123,
"connectedHeatingTotalEnergy": 123,
"algorithm": "DISAGGREGATION",
"usageBreakdowns": [
{
"usage": "US_HEATING",
"cost": 123,
"percent": 123,
"energy": 123,
"units": {
"cost": "<string>",
"energyMeter": "<string>"
},
"fiability": {
"isReliable": true,
"equipmentsFiability": {}
},
"connectedPartCost": 123,
"connectedPartEnergy": 123,
"partialAlwaysOn": {
"cost": 123,
"percent": 123,
"energy": 123
}
}
],
"generalProfilComplete": true
}
}
}This response has no body data.Path Parameters
The site identifier
Query Parameters
From the timestamp, the energy disaggregation of the past year will be calculated.
The type of consumption (electricity or gas)
ELEC, GAS Response
Successful response
Start month of the period over which the disaggregation is calculated.
End month of the period over which the disaggregation is calculated.
Show child attributes
Show child attributes
Total cost of the energy consumption on the period.
Total of the energy consumption on the period.
Cost of the consumption sent by connected heatings.
Energy consumption sent by connected heatings.
Algorithm which has been used to calculate the consumption disaggregation.
DISAGGREGATION, REGIME, SIMFAST, MIX_DISAGGREGATION_REGIME, MIX_DISAGGREGATION_SIMFAST, NO_ALGORITHM Show child attributes
Show child attributes
Indicates if the general profile is complete for the site or not.
Show child attributes
Show child attributes